PAN To Intellibiz
Introduction
The "PAN To Intellibiz" API offers a seamless way to retrieve comprehensive GST (Goods and Services Tax) information linked to a specific PAN (Permanent Account Number). This API is essential for businesses and financial professionals who need to correlate PAN numbers with corresponding GST registrations. By inputting a PAN number, users receive detailed GST data including business legal names, trade names, GSTIN status, registration dates, and business activities. This tool is invaluable for ensuring accuracy in tax-related documentation and compliance, enhancing financial record-keeping, and simplifying the process of tracking and verifying business-related tax information.
API details
Endpoint
POST https://api.signzy.app/api/v3/intellibiz/pan-to-intellibizPOST https://api-preproduction.signzy.app/api/v3/intellibiz/pan-to-intellibizRequest Headers
Name | Value | Required | Description |
|---|---|---|---|
Content-type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
panNumber | String | PAN (Permanent Account Number) of the company. | Mandatory |
state | String | State information for filtering companies. States can be: "Andaman and Nicobar Islands", "Andhra Pradesh", "Andhra Pradesh (NEW)", "Arunachal Pradesh", "Assam", "Bihar", "Chattisgarh", "Chandigarh", "Dadra and Nagar Haveli and Daman and Diu", "Daman and Diu", "Delhi", "Goa", "Gujarat", "Haryana", "Himachal Pradesh", "Jammu and Kashmir", "Jharkhand", "Karnataka", "Kerala", "Ladakh", "Lakshadweep Islands", "Madhya Pradesh", "Maharashtra", "Manipur", "Meghalaya", "Mizoram", "Nagaland", "Odisha", "Punjab", "Pondicherry", "Rajasthan", "Sikkim", "Tamil Nadu", "Telangana", "Tripura", "Uttar Pradesh", "Uttarakhand", "West Bengal" | Optional |
Code Samples
curl --location 'https://api-preproduction.signzy.app/api/v3/intellibiz/pan-to-intellibiz' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>' \
--data '{
"panNumber": "<Pan Number>",
"state": ""
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | The main result object containing detailed GSTN information. |
result.gstnDetailed | Array | Detailed information about the GSTN. |
result.gstnDetailed.constitutionOfBusiness | String | The constitution of the business (e.g., "PRIVATE LIMITED COMPANY"). |
result.gstnDetailed.legalNameOfBusiness | String | The legal name of the business. |
result.gstnDetailed.tradeNameOfBusiness | String | The trade name of the business. |
result.gstnDetailed.centreJurisdiction | String | Centre jurisdiction information. |
result.gstnDetailed.stateJurisdiction | String | State jurisdiction information. |
result.gstnDetailed.registrationDate | String | Date of registration. |
result.gstnDetailed.taxPayerDate | String | Date of becoming a taxpayer. |
result.gstnDetailed.taxPayerType | String | Type of taxpayer (e.g., "REGULAR"). |
result.gstnDetailed.gstinStatus | String | GSTIN status (e.g., "ACTIVE"). |
result.gstnDetailed.cancellationDate | String | Date of cancellation, if applicable. |
result.gstnDetailed.e-invoicingStatus | String | E-invoicing status (e.g., "Yes"). |
result.gstnDetailed.natureOfBusinessActivities | Array | Array of nature of business activities. e.g
|
result.gstnDetailed.principalPlaceAddress | String | Address of the principal place of business. |
result.gstnDetailed.principalPlaceState | String | State of the principal place of business. |
result.gstnDetailed.principalPlacePincode | String | Pincode of the principal place of business. |
result.gstnDetailed.lastUpdatedDate | String | Date of the last update. |
result.gstnDetailed.gstin | String | Goods and Services Tax Identification Number. |
result.gstnDetailed.stateJurisdictionCode | String | State jurisdiction code. |
result.gstnDetailed.principalPlaceSplitAddress | Object | Detailed split information about the principal place address. |
result.gstnRecords | Array | Information about GSTN records. |
result.gstnRecords.applicationStatus | String | Application status for GSTN registration. |
result.gstnRecords.registrationName | String | Registration name associated with the GSTN. |
result.gstnRecords.mobNum | String | Mobile number associated with the GSTN. |
result.gstnRecords.regType | String | Registration type information. |
result.gstnRecords.emailId | String | Email address associated with the GSTN. |
result.gstnRecords.tinNumber | String | TIN (Taxpayer Identification Number) associated with the GSTN. |
result.gstnRecords.gstinRefId | String | GSTIN reference ID. |
result.gstnRecords.gstin | String | Goods and Services Tax Identification Number. |
result.annualAggregateTurnOver | String | Annual Aggregate Turnover Slab |
result.aggregateTurnOverRange.minimum | Number | Minimum value of turnover range |
result.aggregateTurnOverRange.maximum | Number | Maximum value of turnover range |
result.grossTotalIncome | String | Gross Total Income |
result.grossTotalIncomeFinancialYear | String | Financial Year |
result.gstin | String | GSTIN associated with the response. |
{
"result": {
"gstnDetailed": [
{
"constitutionOfBusiness": "PRIVATE LIMITED COMPANY",
"legalNameOfBusiness": "SIGNZY TECHNOLOGIES PRIVATE LIMITED",
"tradeNameOfBusiness": "SIGNZY TECHNOLOGIES PRIVATE LIMITED",
"centreJurisdiction": "STATE - CBIC,ZONE - PUNE,COMMISSIONERATE - PUNE - II,DIVISION - DIVISION-V KHADAKWASLA,RANGE - RANGE-IV",
"stateJurisdiction": "STATE - MAHARASHTRA,ZONE - MUMBAI_NORTH_WEST,DIVISION - MAZGAON,CHARGE - DELISLE_ROAD_703 (JURISDICTIONAL OFFICE)",
"registrationDate": "01/07/2017",
"taxPayerDate": "",
"taxPayerType": "REGULAR",
"gstinStatus": "ACTIVE",
"cancellationDate": "",
"natureOfBusinessActivities": [
"SERVICE PROVISION",
"SUPPLIER OF SERVICES"
],
"e-invoicingStatus": "Yes",
"natureOfCoreBusiness": "SPO",
"eKYCAuthenticated": "No",
"aadharAuthenticated": "No",
"principalPlaceLatitude": "",
"principalPlaceLongitude": "",
"principalPlaceStreet": "",
"principalPlaceLocality": "",
"principalPlaceCity": "MUMBAI",
"principalPlaceDistrict": "MUMBAI",
"principalPlaceState": "MAHARASHTRA",
"principalPlacePincode": "400013",
"additionalPlaceLatitude": "",
"additionalPlaceLongitude": "",
"additionalPlaceStreet": "",
"additionalPlaceLocality": "",
"additionalPlaceCity": "",
"additionalPlaceDistrict": "",
"additionalPlaceState": "",
"additionalPlacePincode": "",
"complianceRating": "",
"additionalPlaceAddress": "",
"directorNames": [
"ARPIT RATAN",
"ANKIT RATAN"
],
"principalPlaceAddress": "Unit No. 801-802, One India Bulls CedealsIne, Prabhadevi, Delisle Road, Senapati Bapat Marg, Dadar West, Mumbai, Mumbai, Maharashtra, 400013",
"additionalPlaceSplitAddress": {
"addressLine": "",
"city": [
],
"country": [
],
"district": [
],
"pincode": "",
"state": [
[
]
]
},
"principalPlaceSplitAddress": {
"addressLine": "UNIT NO.801-802,ONE BULLS CEDEALSINE,PRABHADEVI,DELISLE ROAD,SENAPATI BAPAT MARG,DADAR WEST",
"city": [
"MUMBAI"
],
"country": [
"IN",
"IND",
"INDIA"
],
"district": [
"MUMBAI"
],
"pincode": "400013",
"state": [
[
"MAHARASHTRA",
"MH"
]
]
},
"additionalPlaceBuildingNameFromGST": "",
"additionalPlaceBuildingNoFromGST": "",
"additionalPlaceFlatNo": "",
"lastUpdatedDate": "",
"principalPlaceBuildingNameFromGST": "",
"principalPlaceBuildingNoFromGST": "",
"principalPlaceFlatNo": "",
"stateJurisdictionCode": "",
"gstin": "27AAWCS3552Q1ZA"
}
],
"gstnRecords": [
{
"applicationStatus": "",
"registrationName": "SIGNZY TECHNOLOGIES PRIVATE LIMITED",
"mobNum": "",
"regType": "",
"emailId": "",
"tinNumber": "",
"gstinRefId": "",
"gstin": "27AAWCS3552Q1ZA"
}
],
"gstin": "27AAWCS3552Q1ZA",
"annualAggregateTurnOver": "Slab: Rs. 25 Cr. to 100 Cr. ",
"aggregateTurnOverRange": {
"minimum": 250000000,
"maximum": 1000000000
},
"grossTotalIncome": "NA",
"grossTotalIncomeFinancialYear": "2023-2024"
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!